petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMGetMatType

Gets the type of matrix created with DMCreateMatrix()

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMGetMatType(DM dm,MatType *ctype)

Logically Collective on DM Many br

### Input Parameter

dm - the DM context Many br

### Output Parameter

ctype - the matrix type Many br

### Options Database

-dm_mat_type ctype- Many br Many br

### See Also

DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMCreateMatrix(), DMSetMatrixPreallocateOnly(), MatType, DMSetMatType()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages